### Function

# Pango attr_text_transform_new

since: 1.50

#### Declaration [src]

    PangoAttribute*
    pango_attr_text_transform_new (
      PangoTextTransform transform
    )

#### Description [src]

Create a new attribute that influences how characters are transformed during shaping.

Available since: 1.50

#### Parameters

`transform`

  Type: `PangoTextTransform`

  `PangoTextTransform` to apply.

#### Return value

Type: `PangoAttribute`

The newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.